Subject: bug#26126: 26.0.50; file-notify-rm-watch removes arbitrary watches

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Mar 2017 22:02:56 +0200

> From: Michael Albinus <[email-masked]>
> Date: Wed, 22 Mar 2017 19:57:10 +0100
> Cc: [email-masked]
> 
> > This touches the question whether we're operating under the assumption,
> > that other Lisp-code (apart from filenotify.el) may freely call
> > inotify-add-watch or not.  Because if it does, this has to be handled in
> > inotify.c.  Otherwise we may handle it in filenotify.el .
> 
> It is still possible to call inotify-add-watch and companions. However,
> we don't force this use; the Elisp manual decribes only filenoty.el
> functionality.

IMO, Lisp programs should always go through filenotify.el, never via
backend-specific APIs.